require 'net/http'
require 'uri'
require 'json'
require 'active_support/all'

class Drover
  BASE_URL = "https://www.joindrover.com/"

  SEARCH_VEHICLES_RESULTS_URL =
    BASE_URL + "partners/vehicles/search_vehicles_results"

  def self.search_vehicles_results(params = {})
    uri = URI.parse(SEARCH_VEHICLES_RESULTS_URL)
    response = Net::HTTP.post(uri, params.to_query)

    JSON.load(response.body)
  end
end
